# $Id: httpd.conf,v 1.4 2002/12/12 18:00:16 root Exp root $
# $Log: httpd.conf,v $
# Revision 1.4  2002/12/12 18:00:16  root
# added pente2 for development of pente 2.0
#
# Revision 1.3  2002/12/06 00:14:21  root
# Allow ExecCGI for www.mati.ca/mon
#
# Revision 1.2  2002/12/02 02:17:22  root
# Welcome to RCS, httpd.conf! :-)
# Added my vhosts moved over here from rinzai, and invited apache to
# take up a little more room in order to handle load from chiffboard.
# (It gets big peaks at lunch/after work, so upped max servers, mostly.)
# Also added menno's rodd.us/rodds.net stuff.  --rich
#

#===
#=== general server config
#===

ServerType standalone

ServerRoot "/usr/local/apache"
LockFile /var/run/httpd.lock
PidFile /usr/local/apache/logs/httpd.pid
ScoreBoardFile logs/apache_runtime_status

Timeout 90

KeepAlive On
MaxKeepAliveRequests 100
KeepAliveTimeout 15

MinSpareServers 5
MaxSpareServers 20
StartServers 10
MaxClients 200
MaxRequestsPerChild 500

User apache
Group apache

HostnameLookups Off


LoadModule env_module         libexec/mod_env.so
LoadModule config_log_module  libexec/mod_log_config.so
LoadModule mime_module        libexec/mod_mime.so
LoadModule negotiation_module libexec/mod_negotiation.so
LoadModule status_module      libexec/mod_status.so
LoadModule info_module        libexec/mod_info.so
LoadModule includes_module    libexec/mod_include.so
LoadModule autoindex_module   libexec/mod_autoindex.so
LoadModule dir_module         libexec/mod_dir.so
LoadModule cgi_module         libexec/mod_cgi.so
LoadModule asis_module        libexec/mod_asis.so
LoadModule imap_module        libexec/mod_imap.so
LoadModule action_module      libexec/mod_actions.so
LoadModule userdir_module     libexec/mod_userdir.so
LoadModule alias_module       libexec/mod_alias.so
LoadModule rewrite_module     libexec/mod_rewrite.so
LoadModule access_module      libexec/mod_access.so
LoadModule auth_module        libexec/mod_auth.so
LoadModule dbm_auth_module    libexec/mod_auth_dbm.so
LoadModule digest_module      libexec/mod_digest.so
LoadModule headers_module     libexec/mod_headers.so
LoadModule setenvif_module    libexec/mod_setenvif.so
LoadModule ssl_module         libexec/libssl.so
LoadModule perl_module        libexec/libperl.so
LoadModule php4_module        libexec/libphp4.so

ClearModuleList
AddModule mod_env.c
AddModule mod_log_config.c
AddModule mod_mime.c
AddModule mod_negotiation.c
AddModule mod_status.c
AddModule mod_info.c
AddModule mod_include.c
AddModule mod_autoindex.c
AddModule mod_dir.c
AddModule mod_cgi.c
AddModule mod_asis.c
AddModule mod_imap.c
AddModule mod_actions.c
AddModule mod_userdir.c
AddModule mod_alias.c
AddModule mod_rewrite.c
AddModule mod_access.c
AddModule mod_auth.c
AddModule mod_auth_dbm.c
AddModule mod_digest.c
AddModule mod_headers.c
AddModule mod_so.c
AddModule mod_setenvif.c
AddModule mod_ssl.c
AddModule mod_perl.c
AddModule mod_php4.c

LogLevel warn
LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat "%h %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer
LogFormat "%{User-agent}i" agent

ServerSignature On

TypesConfig /etc/mime.types
DefaultType text/plain

#===
#=== File/Directory permissions
#===

# only on specific vhosts do we allow this
UserDir /dev/null

DirectoryIndex index.asis index.shtml index.html index.htm index.php index.php3 index.cgi

AccessFileName .htaccess

<IfModule mod_mime_magic.c>
    MIMEMagicFile conf/magic
</IfModule>

<Directory />
    Options None
    AllowOverride None
    Order allow,deny
    Deny from all
</Directory>

<Directory /home/public>
    AllowOverride FileInfo AuthConfig Limit
    Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec
    <Limit GET POST OPTIONS PROPFIND>
        Order allow,deny
        Allow from all
    </Limit>
    <Limit PUT DELETE PATCH PROPPATCH MKCOL COPY MOVE LOCK UNLOCK>
        Order deny,allow
        Deny from all
    </Limit>
</Directory>

<Directory /home/web>
    Options IncludesNoExec Indexes FollowSymLinks MultiViews
    AllowOverride All 
    Order deny,allow
    Allow from all
</Directory>

<Directory /home/users/*/public_html>
    AllowOverride FileInfo AuthConfig Limit
    Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec
    <Limit GET POST OPTIONS PROPFIND>
        Order allow,deny
        Allow from all
    </Limit>
    <Limit PUT DELETE PATCH PROPPATCH MKCOL COPY MOVE LOCK UNLOCK>
        Order deny,allow
        Deny from all
    </Limit>
</Directory>

<Directory /home/users/cstone/public_html>
    AllowOverride FileInfo AuthConfig Limit
    Options MultiViews Indexes FollowSymLinks IncludesNoExec
    <Limit GET POST OPTIONS PROPFIND>
        Order allow,deny
        Allow from all
    </Limit>
    <Limit PUT DELETE PATCH PROPPATCH MKCOL COPY MOVE LOCK UNLOCK>
        Order deny,allow
        Deny from all
    </Limit>
</Directory>

<Files .htaccess>
    Order allow,deny
    Deny from all
</Files>

Alias /icons/ "/usr/local/apache/icons/"

<Directory "/usr/local/apache/icons">
    Options Indexes MultiViews
    AllowOverride None
    Order allow,deny
    Allow from all
</Directory>

#===
#=== Index options
#===

IndexOptions NameWidth=*

IndexOptions FancyIndexing

AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip

AddIconByType (TXT,/icons/text.gif) text/*
AddIconByType (IMG,/icons/image2.gif) image/*
AddIconByType (SND,/icons/sound2.gif) audio/*
AddIconByType (VID,/icons/movie.gif) video/*

AddIcon /icons/binary.gif .bin .exe
AddIcon /icons/binhex.gif .hqx
AddIcon /icons/tar.gif .tar
AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
AddIcon /icons/a.gif .ps .ai .eps
AddIcon /icons/layout.gif .html .shtml .htm .pdf
AddIcon /icons/text.gif .txt
AddIcon /icons/c.gif .c
AddIcon /icons/p.gif .pl .py
AddIcon /icons/f.gif .for
AddIcon /icons/dvi.gif .dvi
AddIcon /icons/uuencoded.gif .uu
AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
AddIcon /icons/tex.gif .tex
AddIcon /icons/bomb.gif core

AddIcon /icons/back.gif ..
AddIcon /icons/hand.right.gif README
AddIcon /icons/folder.gif ^^DIRECTORY^^
AddIcon /icons/blank.gif ^^BLANKICON^^

DefaultIcon /icons/unknown.gif

ReadmeName README
HeaderName HEADER

IndexIgnore .??* *~ *# HEADER* README* RCS CVS *,v *,t .htaccess

#===
#=== broken browser workarounds
#===

# The first directive disables keepalive for Netscape 2.x and browsers that
# spoof it. There are known problems with these browser implementations.
# The second directive is for Microsoft Internet Explorer 4.0b2
# which has a broken HTTP/1.1 implementation and does not properly
# support keepalive when it is used on 301 or 302 (redirect) responses.
BrowserMatch "Mozilla/2" nokeepalive
BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0

# The following directive disables HTTP/1.1 responses to browsers which
# are in violation of the HTTP/1.0 spec by not being able to grok a
# basic 1.1 response.
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0" force-response-1.0
BrowserMatch "JDK/1\.0" force-response-1.0

#===
#=== handler options
#===

AddHandler cgi-script .cgi
AddType text/html .shtml
AddType application/x-httpd-php .php .php3
AddHandler server-parsed .shtml
AddHandler send-as-is asis
AddHandler imap-file map

#===
#=== mod_status options
#===

ExtendedStatus On

<Location /server-status>
    SetHandler server-status
    Order deny,allow
    Deny from all
    Allow from localhost
    Allow from .mati.ca
</Location>

<Location /server-info>
    SetHandler server-info
    Order deny,allow
    Deny from all
    Allow from localhost
    Allow from .mati.ca
</Location>

#===
#=== mod_perl options
#===

SetEnv ORACLE_HOME /home/oracle/orahome

## NO WORKY!
##PerlModule Apache::DBI
##PerlRequire /usr/local/apache/conf/startup.pl

PerlSetupEnv On
PerlRequire conf/handler.pl
PerlInitHandler Apache::Reload
PerlSetVar ReloadTouchFile conf/reload_modules
PerlInitHandler Apache::StatINC
PerlSetVar StatINC_Debug 1

#===
#=== ssl configuration
#===

SSLCipherSuite HIGH:MEDIUM
SSLMutex file:logs/ssl_mutex
SSLRandomSeed startup file:/dev/urandom 512
SSLRandomSeed connect file:/dev/urandom 512
SSLLog      logs/ssl_engine_log
SSLLogLevel info

#===
#=== vhost configuration
#===

Listen 209.166.218.37:80

<VirtualHost 209.166.218.37>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/webssh.boredom.org/htdocs
    ServerName webssh.boredom.org
    ErrorLog /home/web/webssh.boredom.org/logs/errors
    CustomLog /home/web/webssh.boredom.org/logs/combined combined
</VirtualHost>

Listen 209.166.218.36:80
NameVirtualHost 209.166.218.36

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/vhostmaster/htdocs
    ServerName vhostmaster
    ErrorLog /home/web/vhostmaster/logs/errors
    CustomLog /home/web/vhostmaster/logs/combined combined
</VirtualHost>

Listen 209.166.218.38:80
<VirtualHost 209.166.218.38:80>
    ServerName webmail.boredom.org
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/webmail.boredom.org/htdocs
    ErrorLog /home/web/webmail.boredom.org/logs/errors
    CustomLog /home/web/webmail.boredom.org/logs/combined combined

    Redirect /index.html https://webmail.boredom.org/horde/imp/
    Redirect / https://webmail.boredom.org/horde/imp/
</VirtualHost>

Listen 209.166.218.38:443
<VirtualHost 209.166.218.38:443>
    ServerName webmail.boredom.org
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/webmail.boredom.org/htdocs
    ErrorLog /home/web/webmail.boredom.org/logs/errors
    CustomLog /home/web/webmail.boredom.org/logs/combined combined

    SSLEngine on
    SSLCipherSuite ALL:!ADH:!EXP56:RC4+RSA:+HIGH:+MEDIUM:+LOW:-SSLv2:+EXP:+eNULL
    SSLCertificateFile /usr/local/apache/conf/webmail.ssl/server.crt
    SSLCertificateKeyFile /usr/local/apache/conf/webmail.ssl/server.key.unsecure
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/www.christopherpetro.com/htdocs
    ScriptAlias /cgi-bin/ /home/web/www.christopherpetro.com/cgi-bin/
    ServerName www.christopherpetro.com
    Alias /pics /home/users/petro/public_html/pics
    ErrorLog /home/web/www.christopherpetro.com/logs/errors
    CustomLog /home/web/www.christopherpetro.com/logs/combined combined
    <Location />
        SetHandler perl-script
        PerlHandler Boredom::Mason
	PerlSetVar site www.christopherpetro.com
    </Location>
    <LocationMatch "(^/images/|/download/)">
        SetHandler default-handler
    </LocationMatch>
</VirtualHost>

#Listen 208.184.52.95:80
#
#<VirtualHost 208.184.52.95>
#    ServerAdmin petro@boredom.org
#    DocumentRoot /home/web/gly.ph/htdocs
#    ServerName gly.ph
#    ErrorLog /home/web/gly.ph/logs/errors
#    CustomLog /home/web/gly.ph/logs/combined combined
#    <Location />
#        SetHandler perl-script
#        PerlHandler Boredom::Mason
#    </Location>
#    <LocationMatch "^/(category|item)/">
#        Header set Content-Type "text/html"
#    </LocationMatch>
#</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/public
    ServerName public.boredom.org
    ErrorLog /home/web/public.boredom.org/logs/errors
    CustomLog /home/web/public.boredom.org/logs/combined combined
    UserDir public_html
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/public/mp3
    ServerName jukebox.boredom.org
    ErrorLog /home/web/public.boredom.org/logs/errors
    CustomLog /home/web/public.boredom.org/logs/combined combined
    Alias /apache_mp3 /home/web/public.boredom.org/htdocs/apache_mp3
    <Location />
      SetHandler perl-script
      PerlHandler Apache::MP3
      PerlSetVar CacheDir /tmp/mp3_cache
    </Location>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/www.boredom.org/htdocs
    ScriptAlias /cgi-bin/ /home/web/www.boredom.org/cgi-bin/
    ServerName www.boredom.org
    ErrorLog /home/web/www.boredom.org/logs/errors
    CustomLog /home/web/www.boredom.org/logs/combined combined
    UserDir public_html

    RewriteEngine on
#    RewriteRule ^/~cstone/sound(.*)  http://public.boredom.org/~cstone/sound$1

#    <Location />
#        SetHandler perl-script
#        PerlHandler Boredom::Mason
#        PerlSetVar site www.boredom.org
#    </Location>
#    <LocationMatch ^/images/>
#        SetHandler default-handler
#    </LocationMatch>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/pente.boredom.org/htdocs
    ServerName pente.boredom.org
    ErrorLog /home/web/pente.boredom.org/logs/errors
    CustomLog /home/web/pente.boredom.org/logs/combined combined
    UserDir public_html

    <Location />
        SetHandler perl-script
        PerlHandler Boredom::Mason
        PerlSetVar site pente.boredom.org
    </Location>
    <LocationMatch ^/images/>
        SetHandler default-handler
    </LocationMatch>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/pente2.boredom.org/htdocs
    ServerName pente2.boredom.org
    ErrorLog /home/web/pente2.boredom.org/logs/errors
    CustomLog /home/web/pente2.boredom.org/logs/combined combined
    UserDir public_html

    <Location />
        SetHandler perl-script
        PerlHandler Boredom::Mason
        PerlSetVar site pente2.boredom.org
    </Location>
    <LocationMatch ^/images/>
        SetHandler default-handler
    </LocationMatch>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/www.boredom.org/htdocs
    ServerName mankind.boredom.org
    ErrorLog /home/web/www.boredom.org/logs/errors
    CustomLog /home/web/www.boredom.org/logs/combined combined

    Redirect / "http://www.boredom.org/"
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin petro@boredom.org
    DocumentRoot /home/web/sisyph.us/htdocs
    ServerName sisyph.us
    ErrorLog /home/web/sisyph.us/logs/errors
    CustomLog /home/web/sisyph.us/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin bpetro@boredom.org
    DocumentRoot /home/web/www.petrofamily.net/htdocs
    ScriptAlias /cgi-bin/ /home/web/www.petrofamily.net/cgi-bin/
    ServerName www.petrofamily.net
    ErrorLog /home/web/www.petrofamily.net/logs/errors
    CustomLog /home/web/www.petrofamily.net/logs/combined combined
</VirtualHost>

#<VirtualHost 209.166.218.36>
##    ServerAdmin divinep@boredom.org
#    DocumentRoot /home/web/www.divinepaging.com/htdocs
#    ScriptAlias /cgi-bin/ /home/web/www.divinepaging.com/cgi-bin/
#    ServerName www.divinepaging.com
#    ErrorLog /home/web/www.divinepaging.com/logs/errors
#    CustomLog /home/web/www.divinepaging.com/logs/combined combined
#</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin webmaster@boredom.org
    DocumentRoot /home/web/www.largeformat.net/htdocs
    ScriptAlias /cgi-bin/ /home/web/www.largeformat.net/cgi-bin/
    ServerName www.largeformat.net
    ErrorLog /home/web/www.largeformat.net/logs/errors
    CustomLog /home/web/www.largeformat.net/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin ada@cluebat.org
    DocumentRoot /home/web/lart.cluebat.org/htdocs
    ServerName lart.cluebat.org
    ErrorLog /home/web/lart.cluebat.org/logs/errors
    CustomLog /home/web/lart.cluebat.org/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin bpetro@atticism.org
    DocumentRoot /home/web/www.atticism.org/htdocs
    ServerName www.atticism.org
    ServerAlias atticism.org
    ErrorLog /home/web/www.atticism.org/logs/errors
    CustomLog /home/web/www.atticism.org/logs/combined combined
    <Location />
        SetHandler perl-script
        PerlHandler Boredom::Mason
        PerlSetVar site www.atticism.org
    </Location>
</VirtualHost>

# stuff for menno
<VirtualHost 209.166.218.36>
    ServerAdmin jerodd@boredom.org
    DocumentRoot /home/web/www.rodds.net/htdocs
    ServerName www.rodds.net
    ServerAlias www.rodd.us
    ServerAlias rodds.net
    ServerAlias rodd.us
    ErrorLog /home/web/www.rodds.net/logs/errors
    CustomLog /home/web/www.rodds.net/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin jerodd@boredom.org
    DocumentRoot /home/web/fhc.rodds.net/htdocs
    ServerName fhc.rodds.net
    ServerAlias fhc.rodd.us
    ErrorLog /home/web/fhc.rodds.net/logs/errors
    CustomLog /home/web/fhc.rodds.net/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin webmaster@boredom.org
    DocumentRoot /home/web/www.vermillionstudios.com/htdocs
    ServerName www.vermillionstudios.com
    ServerAlias  vermillionstudios.com
    ErrorLog /home/web/www.vermillionstudios.com/logs/errors
    CustomLog /home/web/www.vermillionstudios.com/logs/combined combined
    <Location />
        SetHandler perl-script
        PerlHandler Boredom::Mason
        PerlSetVar site www.vermillionstudios.com
    </Location>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin jmd@boredom.org
    DocumentRoot /home/web/jmd.us/htdocs
    ServerName www.jmd.us
    ServerAlias www.turbogeek.org
    ServerAlias turbogeek.org
    ErrorLog /home/web/jmd.us/logs/redirect-errors
    CustomLog /home/web/jmd.us/logs/redirect-combined combined
    RedirectMatch permanent (.*) http://jmd.us$1
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin jmd@boredom.org
    DocumentRoot /home/web/jmd.us/htdocs
    ServerName jmd.us
    ErrorLog /home/web/jmd.us/logs/errors
    CustomLog /home/web/jmd.us/logs/combined combined
    ErrorDocument 404 /404.html
</VirtualHost>

# rich's stuff begins here
<VirtualHost 209.166.218.36>
    ServerAdmin webmaster@lafferty.ca
    DocumentRoot /home/web/www.lafferty.ca/htdocs
    ServerName www.lafferty.ca
    ErrorLog /home/web/www.lafferty.ca/logs/errors
    CustomLog /home/web/www.lafferty.ca/logs/combined combined
    ScriptAlias /cgi-bin/ /home/web/www.lafferty.ca/cgi-bin/

    Redirect /personal/home/map.html http://ca.maps.yahoo.com/py/maps.py?Pyt=Tmap&addr=1320+Richmond+Road&city=Ottawa&state=ON&slt=45.367200&sln=-75.786300&name=&zip=&country=ca&BFKey=&BFCat=&BFClient=&mag=9&desc=&cs=9&newmag=8&poititle=&poi=

    <Location />
        AddHandler server-parsed .html
        Options +Indexes
        Options +Includes
    </Location>
    <Location /rdf>
        Options +ExecCGI
    </Location>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin webmaster@mati.ca
    DocumentRoot /home/web/biblio.mati.ca/htdocs
    ScriptAlias /cgi-bin /home/web/biblio.mati.ca/cgi-bin
    ServerName biblio.mati.ca
    ErrorLog /home/web/biblio.mati.ca/logs/errors
    CustomLog /home/web/biblio.mati.ca/logs/combined combined
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerName mathe.mati.ca
    Redirect / http://www.wolfram.com/products/mathematica/
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerAdmin webmaster@mati.ca
    DocumentRoot /home/web/www.mati.ca/htdocs
    ScriptAlias /cgi-bin /home/web/www.mati.ca/cgi-bin
    ServerName www.mati.ca
    ErrorLog /home/web/www.mati.ca/logs/errors
    CustomLog /home/web/www.mati.ca/logs/combined combined

    <Location /monitoring>
       Options +ExecCGI
    </Location>

    <Location /mon>
       Options +ExecCGI
    </Location>

    <Location /stats>
       Options +Indexes
    </Location>
</VirtualHost>

<VirtualHost 209.166.218.36>
    ServerName chiffboard.mati.ca
    ServerAdmin webmaster@mati.ca
    DocumentRoot /home/web/chiffboard.mati.ca/htdocs
    ScriptAlias /cgi-bin /home/web/chiffboard.mati.ca/cgi-bin
    ErrorLog /home/web/chiffboard.mati.ca/logs/errors
    CustomLog /home/web/chiffboard.mati.ca/logs/combined combined

    # For uncompressing gzipped docs on the fly -- Rich needs this
    AddType application/x-dynamic-gzip .dgz
    Action application/x-dynamic-gzip /cgi-bin/ungzip

    <Location />
        Options +MultiViews
    </Location>

    <Location /chat>
        Options +ExecCGI
    </Location>

    <Location /admin>
        Order deny,allow
        Deny from all
        Allow from .mati.ca
        Allow from .e-smith.com
        Allow from 216.191.234.70
    </Location>

</VirtualHost>


